org.apache.solr.util

## Class SolrCLI.HealthcheckTool

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase
  - - org.apache.solr.util.SolrCLI.SolrCloudTool
    - - org.apache.solr.util.SolrCLI.HealthcheckTool

- All Implemented Interfaces:
    SolrCLI.Tool
  Enclosing class:
    SolrCLI

      public static class SolrCLI.HealthcheckTool
      extends SolrCLI.SolrCloudTool

  Requests health information about a specific collection in SolrCloud.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `stdout, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HealthcheckTool()`
    `HealthcheckTool(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `protected void` | `runCloudTool(CloudSolrClient cloudSolrClient, org.apache.commons.cli.CommandLine cli)` Runs a SolrCloud tool with CloudSolrClient initialized

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.SolrCloudTool

      `getOptions, runImpl`

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `echo, runTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HealthcheckTool

          public HealthcheckTool()

    - #### HealthcheckTool

          public HealthcheckTool(PrintStream stdout)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### runCloudTool

          protected void runCloudTool(CloudSolrClient cloudSolrClient,
                                      org.apache.commons.cli.CommandLine cli)
                               throws Exception

      Description copied from class: `SolrCLI.SolrCloudTool`
      Runs a SolrCloud tool with CloudSolrClient initialized
      Specified by:
        `runCloudTool` in class `SolrCLI.SolrCloudTool`
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.